.tmst-purchased .tmst-preloader-item {
	height: 125px;
}

.tmst-purchased__list-item {
	background-color: var(--box-background-color);
	border-radius: var(--box-radius);
	margin-bottom: 20px;
	overflow: hidden;
}

.tmst-purchased__product-details__date {
	font-weight: 400;
}

.tmst-purchased__product-details__price {
	font-weight: 600;
}

.tmst-purchased__product-details__image {
	-ms-flex-item-align: start;
	-ms-grid-row-align: start;
	align-self: start;
	margin-right: 15px;
}

.tmst-button_secondary.tmst-purchased__go-to-catalog-btn {
	background-color: transparent;
}

.tmst-purchased__details__product-title {
	font-weight: 600;
	margin-bottom: 5px;
	overflow-wrap: anywhere;
	font-size: 1.1rem;
	text-decoration: unset;
	color: unset;
}

.tmst-purchased__list__product-image {
	width: 120px;
	height: 120px;
	min-width: 120px;
	min-height: 120px;
	background-color: #f8f8f8;
	-o-object-fit: cover;
	object-fit: cover;
	border-radius: 4px;
}

.tmst-purchased__details__product-quantity {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
}

.tmst-purchased__details__product-quantity {
	min-width: 70px;
	white-space: nowrap;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
}

.tmst-purchased__details__product-options,
.tmst-purchased__details__product-sku {
	font-size: 0.75em;
	font-weight: 400;
	opacity: 0.7;
}

.tmst-purchased__details__product-options {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
}

.tmst-purchased__details__product-option {
	display: inline-block;
}

.tmst-purchased__details__summary {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	font-size: 0.8em;
	margin: 30px 0;
	-webkit-box-align: end;
	-ms-flex-align: end;
	align-items: flex-end;
}

.tmst-purchased__details__summary div:last-child {
	font-weight: 700;
}

.tmst-purchased__details__summary-total {
	margin-top: 10px;
}

.tmst-purchased__product {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	padding: 26px 30px;
}

.tmst-purchased__product-details {
	display: -ms-grid;
	display: grid;
	-ms-grid-rows: 1fr;
	-ms-grid-columns: 1fr 1fr;
	grid-template: 1fr / 1fr 1fr;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	width: 100%;
}

.tmst-purchased__product-details__col-1 {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
}

.tmst-purchased__product-details__col-2 {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-pack: justify;
	-ms-flex-pack: justify;
	justify-content: space-between;
	-webkit-box-align: flex-start;
	-ms-flex-align: flex-start;
	align-items: flex-start;
	height: 100%;
	gap: 0 8px;
}

.tmst-purchased__product-details__info {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: start;
	-ms-flex-pack: start;
	justify-content: flex-start;
	-webkit-box-flex: 0;
	-ms-flex: 0 0 250px;
	flex: 0 0 250px;
	gap: 0 30px;
}

.tmst-purchased__product-details__date {
	width: -webkit-fit-content;
	width: -moz-fit-content;
	width: fit-content;
}

.tmst-purchased__product-details__price {
	position: relative;
	text-align: center;
}

.tmst-purchased__product-details__date,
.tmst-purchased__product-details__price {
	margin: 1.5px 10px;
	white-space: nowrap;
}

.tmst-purchased__product-details__action {
	position: relative;
	-ms-flex-negative: 1;
	flex-shrink: 1;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	align-items: flex-end;
}

.tmst-purchased__list__product-image_more {
	border-color: #f8f8f8;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	font-size: 18px;
	font-weight: 400;
}

.tmst-purchased__list__product-image__text {
	color: #111;
	opacity: 0.3;
}

.tmst-purchased__product-cta-details {
	margin-top: 12px;
	font-size: 1em;
	line-height: 1.1;
	opacity: 0.8;
	text-align: right;
}

.tmst-purchased__product-cta-details a {
	color: var(--text-color);
	text-decoration: none;
}

@media screen and (max-width: 1200px) {
	.tmst-purchased__list__month-section {
		margin-left: 25px;
	}
}

@media all and (max-width: 960px) {
	.tmst-purchased__product-details__info {
		display: -webkit-box;
		display: -ms-flexbox;
		display: flex;
		-webkit-box-orient: vertical;
		-webkit-box-direction: normal;
		-ms-flex-direction: column;
		flex-direction: column;
		-webkit-box-align: end;
		-ms-flex-align: end;
		align-items: end;
		-ms-flex-preferred-size: fit-content;
		flex-basis: fit-content;
		flex-basis: auto;
		width: -webkit-max-content;
		margin-bottom: 6px;
	}

	.tmst-purchased__product-details__col-2 {
		-webkit-box-orient: vertical;
		-webkit-box-direction: normal;
		-ms-flex-direction: column;
		flex-direction: column;
		-webkit-box-align: end;
		-ms-flex-align: end;
		align-items: end;
		height: unset;
		align-self: start;
	}

	.tmst-purchased__details__main {
		-webkit-box-orient: vertical;
		-webkit-box-direction: normal;
		-ms-flex-direction: column;
		flex-direction: column;
	}

	.tmst-purchased__details__main-info,
	.tmst-purchased__details__products {
		width: 100%;
	}

	.tmst-purchased__delivery {
		-webkit-box-orient: vertical;
		-webkit-box-direction: normal;
		-ms-flex-direction: column;
		flex-direction: column;
	}

	.tmst-purchased__product-details__date,
	.tmst-purchased__product-details__price {
		margin: 1.5px 0px;
		text-align: right;
	}
}

@media all and (max-width: 768px) {
	.tmst-purchased__product-details {
		display: block;
	}

	.tmst-purchased__product-details__col-2 {
		flex-direction: row;
		align-items: center;
	}

	.tmst-purchased__product-details__info {
		margin: 0 15px 0 0;
		align-items: start;
	}

	.tmst-purchased__details__product-options {
		-webkit-box-orient: unset;
		-webkit-box-direction: unset;
		-ms-flex-direction: unset;
		flex-direction: unset;
		-ms-flex-wrap: wrap;
		flex-wrap: wrap;
	}

	.tmst-purchased__details__product-sku {
		font-size: 0.85em;
	}

	.tmst-purchased__product-details__action {
		margin-left: auto;
	}

	.tmst-purchased__product-details__action .tmst-button:not(.tmst-purchased__go-to-catalog-btn) {
		margin-top: 12px;
	}

	.tmst-purchased__product-details__price {
		text-align: left;
	}
}

@media screen and (max-width: 640px) {
	.tmst-purchased__product {
		padding: 15px 25px;
	}

	.tmst-purchased__product-details {
		overflow: scroll hidden;
		max-width: 100%;
		scrollbar-width: none;
		-ms-flex-item-align: start;
		align-self: flex-start;
	}
}

@media all and (min-width: 420px) {
	.tmst-purchased__go-to-catalog-btn {
		margin: unset;
		padding: unset;
		border: 0;
	}
}

@media all and (max-width: 420px) {
	.tmst-purchased__product-details__date,
	.tmst-purchased__product-details__price {
		margin: 1.5px 0px;
		text-align: left;
	}

	.tmst-purchased__product-details__action .tmst-button.tmst-purchased__go-to-catalog-btn {
		margin-top: 0;
	}

	.tmst-purchased__product-details__action .tmst-button {
		height: 40px;
	}

	.tmst-purchased__product-cta-details {
		width: 100%;
		text-align: center;
		margin-bottom: 6px;
	}

	.tmst-purchased__product-details__image {
		margin-bottom: 15px;
	}

	.tmst-purchased__product-details__col-2 {
		flex-direction: column;
		align-items: center;
		width: 100%;
	}

	.tmst-purchased__product-details__action {
		width: 100%;
	}

	.tmst-purchased__product-details__action .tmst-button {
		width: 100%;
		justify-content: center;
	}

	.tmst-purchased__product-details__info {
		-webkit-box-align: start;
		-ms-flex-align: start;
		align-items: start;
		width: 100%;
		margin: 0;
	}
}

@media screen and (max-width: 375px) {
	.tmst-purchased__product {
		padding: 10px 15px;
	}
}

.tlk-app-bg {
	position: absolute;
	width: 100%;
	height: 100%;
}

#app .tmst-purchased {
	z-index: 2;
}
